Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class UniqueConstraintHolder

    java.lang.Object
      org.hibernate.cfg.UniqueConstraintHolder

    public class UniqueConstraintHolder

extends Object

`UniqueConstraint` annotations are handled via second pass. I do not understand the reasons why at this time, so here I use a holder object to hold the information needed to create the unique constraint. The ability to name it is new, and so the code used to simply keep this as a String array (the column names).

Constructor Summary
`UniqueConstraintHolder()`

Method Summary
`String[]` | `getColumns()`
`String` | `getName()`
`UniqueConstraintHolder` | `setColumns(String[] columns)`
`UniqueConstraintHolder` | `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniqueConstraintHolder

    public UniqueConstraintHolder()

Method Detail

### getName

    public String getName()

### setName

    public UniqueConstraintHolder setName(String name)

### getColumns

    public String[] getColumns()

### setColumns

    public UniqueConstraintHolder setColumns(String[] columns)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.